[Parted-commits] GNU Parted Official Repository: Changes to 'master'

Jim Meyering meyering at alioth.debian.org
Wed May 11 06:16:51 UTC 2011


 tests/Makefile.am                    |    3 +-
 tests/t9050-partition-table-types.sh |   51 +++++++++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+), 1 deletion(-)

New commits:
commit e585d1279131c468f271f1a602ba72af66dfc98b
Author: Jim Meyering <meyering at redhat.com>
Date:   Sat Sep 19 08:23:40 2009 +0200

    tests: write all pairs of partition table types
    
    * tests/t9050-partition-table-types.sh: New file.
    * tests/Makefile.am (TESTS): Add it.

diff --git a/tests/Makefile.am b/tests/Makefile.am
index df9711c..f5a1562 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -48,7 +48,8 @@ TESTS = \
   t9021-maxima.sh \
   t9030-align-check.sh \
   t9040-many-partitions.sh \
-  t9041-undetected-in-use-16th-partition.sh
+  t9041-undetected-in-use-16th-partition.sh \
+  t9050-partition-table-types.sh
 
 EXTRA_DIST = \
   $(TESTS) lvm-utils.sh t-local.sh t-lvm.sh \
diff --git a/tests/t9050-partition-table-types.sh b/tests/t9050-partition-table-types.sh
new file mode 100755
index 0000000..98acc63
--- /dev/null
+++ b/tests/t9050-partition-table-types.sh
@@ -0,0 +1,51 @@
+#!/bin/sh
+# Ensure that any combination of partition table types works.
+# I.e., write a partition table of type T, and then overwrite it
+# with one of type V, for every permutation of T and V.
+
+# Copyright (C) 2011 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../parted
+
+not_yet='
+aix
+'
+
+types='
+bsd
+msdos
+dvh
+gpt
+loop
+mac
+pc98
+sun
+mkswap
+'
+
+dd if=/dev/null of=f bs=1 seek=3M || framework_failure_
+
+for i in $types; do
+  for j in $types; do
+    echo $i:$j
+    case $i in mkswap) mkswap f >/dev/null 2>&1 || fail=1;;
+      *) parted -s f mklabel $i || fail=1;; esac
+    case $j in mkswap) continue;; esac
+    parted -s f mklabel $j || fail=1
+  done
+done
+
+Exit $fail



More information about the Parted-commits mailing list